User Timeline error


#1

I’m trying to display a twitter timeline, but whenever I use the sample code on the documentation:

final UserTimeline userTimeline = new UserTimeline.Builder().screenName(“UserTimeline”).build();
final TweetTimelineListAdapter adapter = new TweetTimelineListAdapter(context, userTimeline);

It says java.lang.IllegalStateException: Must start TweetUi Kit in Fabric.with().
I thought you didn’t need to do Fabric.with because it is guest authentication. However, I also tried using Fabric.with(context, new TweetUi()), and this still gives me the same error.

I couldn’t find anybody with this sort of error. Any help would be greatly appreciated.


#2

I figured out the problem. However, importing the library really messes with the java sdk… I keep getting:

objc[36355]: Class JavaLaunchHelper is implemented in both /Library/Java/JavaVirtualMachines/jdk1.8.0_40.jdk/Contents/Home/bin/java and /Library/Java/JavaVirtualMachines/jdk1.8.0_40.jdk/Contents/Home/jre/lib/libinstrument.dylib. One of the two will be used. Which one is undefined.

Is there any workaround for this jdk error?


#3